# Associate royalty set to catalog

## Associate royalty set to catalog

<mark style="color:green;">`POST`</mark> `https://ris.rightsline.com/v4/relationship`

This endpoint allows you to create a new relationship between the royalty set deal relationship and a catalog item.

#### Headers

| Name           | Type   | Description             |
| -------------- | ------ | ----------------------- |
| x-api-key      | string | Your company's API key. |
| Authentication | string | Authentication token.   |

#### Request Body

| Name                                               | Type   | Description                                         |
| -------------------------------------------------- | ------ | --------------------------------------------------- |
| parentRecordId<mark style="color:red;">\*</mark>   | number | The ID of the parent royalty set deal relationship. |
| parentCharTypeId<mark style="color:red;">\*</mark> | number | 0                                                   |
| childRecordId<mark style="color:red;">\*</mark>    | number | The ID of the child catalog item.                   |
| childCharTypeId<mark style="color:red;">\*</mark>  | number | 1                                                   |

{% tabs %}
{% tab title="200 Relationship created successfully." %}

```
455
```

{% endtab %}
{% endtabs %}

### Sample Request

```javascript
{
    "parentCharTypeId": 0,
    "parentRecordId": 156848886,
    "childCharTypeId": 1,
    "childRecordId": 222
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/financial/create-a-royalty/associate-royalty-set-to-catalog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
